libzypp: zypp::ResPool::EstablishedStates Class Reference

libzypp 17.38.14

zypp::ResPool::EstablishedStates Class Reference

A copy of the Pools initial ValidateValues of pseudo installed items. More...

`#include <zypp/ResPool.h>`

## Classes
class | Impl
| Store initial establish status of pseudo installed items. More...

## Public Types
using | ChangedPseudoInstalled = std::map<PoolItem, ResStatus::ValidateValue>
| Map holding pseudo installed items where current and established status differ.

## Public Member Functions
| ~EstablishedStates ()
ChangedPseudoInstalled | changedPseudoInstalled () const
| Return all pseudo installed items whose current state differs from the established one.

## Private Member Functions
| EstablishedStates (shared_ptr< Impl > pimpl_r)
| Factory: ResPool::establishedStates.

## Private Attributes
RW_pointer< Impl > | _pimpl

## Friends
class | pool::PoolImpl

## Detailed Description

A copy of the Pools initial ValidateValues of pseudo installed items.

AKA Patch status. Whenever the Pools content changes, the status of pseudo installed items (like Patches) is computed (roughly whether their dependencies are broken or satisfied) and remembered.

Comparing the item's established state against its current state tells how the current transaction would influence the item (break or repair a Patch).

Definition at line 314 of file ResPool.h.

## Member Typedef Documentation

## ◆ ChangedPseudoInstalled

using zypp::ResPool::EstablishedStates::ChangedPseudoInstalled = std::map<PoolItem, ResStatus::ValidateValue>

Map holding pseudo installed items where current and established status differ.

Definition at line 319 of file ResPool.h.

## Constructor & Destructor Documentation

## ◆ ~EstablishedStates()

zypp::ResPool::EstablishedStates::~EstablishedStates | ( |  | ) |

Definition at line 23 of file PoolImpl.cc.

## ◆ EstablishedStates()

zypp::ResPool::EstablishedStates::EstablishedStates | ( | shared_ptr< Impl > | pimpl_r | ) |
| inlineprivate

Factory: ResPool::establishedStates.

Definition at line 328 of file ResPool.h.

## Member Function Documentation

## ◆ changedPseudoInstalled()

ResPool::EstablishedStates::ChangedPseudoInstalled zypp::ResPool::EstablishedStates::changedPseudoInstalled | ( |  | ) | const

Return all pseudo installed items whose current state differs from the established one.

Definition at line 26 of file PoolImpl.cc.

## Friends And Related Symbol Documentation

## ◆ pool::PoolImpl

friend class pool::PoolImpl
| friend

Definition at line 326 of file ResPool.h.

## Member Data Documentation

## ◆ _pimpl

RW_pointer<Impl> zypp::ResPool::EstablishedStates::_pimpl
| private

Definition at line 324 of file ResPool.h.

The documentation for this class was generated from the following files:

- zypp/ResPool.h
- zypp/pool/PoolImpl.cc